CREATE TABLE IF NOT EXISTS FUTIDX
(
	SYMBOL TEXT NOT NULL,
	EXPIRY_DT TEXT NOT NULL,
	TIMESTAMP TEXT NOT NULL,
	OPEN REAL,
	HIGH REAL,
	LOW REAL,
	CLOSE REAL,
	SETTLE_PR REAL,
	CONTRACTS INTEGER,
	VAL_INLAKH REAL,
	OPEN_INT INTEGER,
	CHG_IN_OI REAL,
	PRIMARY KEY (SYMBOL, EXPIRY_DT, TIMESTAMP)
);

CREATE TABLE IF NOT EXISTS FUTSTK
(
	SYMBOL TEXT NOT NULL,
	EXPIRY_DT TEXT NOT NULL,
	TIMESTAMP TEXT NOT NULL,
	OPEN REAL,
	HIGH REAL,
	LOW REAL,
	CLOSE REAL,
	SETTLE_PR REAL,
	CONTRACTS INTEGER,
	VAL_INLAKH REAL,
	OPEN_INT INTEGER,
	CHG_IN_OI REAL,
	PRIMARY KEY (SYMBOL, EXPIRY_DT, TIMESTAMP)
);

CREATE TABLE IF NOT EXISTS OPTIDX
(
	SYMBOL TEXT NOT NULL,
	EXPIRY_DT TEXT NOT NULL,
	TIMESTAMP TEXT NOT NULL,
	STRIKE_PR REAL,
	OPTION_TYP TEXT,
	OPEN REAL,
	HIGH REAL,
	LOW REAL,
	CLOSE REAL,
	SETTLE_PR REAL,
	CONTRACTS INTEGER,
	VAL_INLAKH REAL,
	OPEN_INT INTEGER,
	CHG_IN_OI REAL,
	PRIMARY KEY (SYMBOL, EXPIRY_DT, TIMESTAMP, OPTION_TYP, STRIKE_PR)
);

CREATE TABLE IF NOT EXISTS OPTSTK
(
	SYMBOL TEXT NOT NULL,
	EXPIRY_DT TEXT NOT NULL,
	TIMESTAMP TEXT NOT NULL,
	STRIKE_PR REAL,
	OPTION_TYP TEXT,
	OPEN REAL,
	HIGH REAL,
	LOW REAL,
	CLOSE REAL,
	SETTLE_PR REAL,
	CONTRACTS INTEGER,
	VAL_INLAKH REAL,
	OPEN_INT INTEGER,
	CHG_IN_OI REAL,
	PRIMARY KEY (SYMBOL, EXPIRY_DT, TIMESTAMP, OPTION_TYP, STRIKE_PR)
);

CREATE TABLE IF NOT EXISTS FII
(
	OI_FUTURE_INDEX_LONG INTEGER,
	OI_FUTURE_INDEX_SHORT INTEGER,
	OI_FUTURE_STOCK_LONG INTEGER,
	OI_FUTURE_STOCK_SHORT INTEGER,
	OI_OPTION_INDEX_CALL_LONG INTEGER,
	OI_OPTION_INDEX_PUT_LONG INTEGER,
	OI_OPTION_INDEX_CALL_SHORT INTEGER,
	OI_OPTION_INDEX_PUT_SHORT INTEGER,
	OI_OPTION_STOCK_CALL_LONG INTEGER,
	OI_OPTION_STOCK_PUT_LONG INTEGER,
	OI_OPTION_STOCK_CALL_SHORT INTEGER,
	OI_OPTION_STOCK_PUT_SHORT INTEGER,
	OI_TOTAL_LONG_CONTRACTS INTEGER,
	OI_TOTAL_SHORT_CONTRACTS INTEGER,
	VOL_FUTURE_INDEX_LONG INTEGER,
	VOL_FUTURE_INDEX_SHORT INTEGER,
	VOL_FUTURE_STOCK_LONG INTEGER,
	VOL_FUTURE_STOCK_SHORT INTEGER,
	VOL_OPTION_INDEX_CALL_LONG INTEGER,
	VOL_OPTION_INDEX_PUT_LONG INTEGER,
	VOL_OPTION_INDEX_CALL_SHORT INTEGER,
	VOL_OPTION_INDEX_PUT_SHORT INTEGER,
	VOL_OPTION_STOCK_CALL_LONG INTEGER,
	VOL_OPTION_STOCK_PUT_LONG INTEGER,
	VOL_OPTION_STOCK_CALL_SHORT INTEGER,
	VOL_OPTION_STOCK_PUT_SHORT INTEGER,
	VOL_TOTAL_LONG_CONTRACTS INTEGER,
	VOL_TOTAL_SHORT_CONTRACTS INTEGER,
	TRADE_DATE TEXT NOT NULL,
	PRIMARY KEY (TRADE_DATE)
);

CREATE TABLE IF NOT EXISTS DII
(
	OI_FUTURE_INDEX_LONG INTEGER,
	OI_FUTURE_INDEX_SHORT INTEGER,
	OI_FUTURE_STOCK_LONG INTEGER,
	OI_FUTURE_STOCK_SHORT INTEGER,
	OI_OPTION_INDEX_CALL_LONG INTEGER,
	OI_OPTION_INDEX_PUT_LONG INTEGER,
	OI_OPTION_INDEX_CALL_SHORT INTEGER,
	OI_OPTION_INDEX_PUT_SHORT INTEGER,
	OI_OPTION_STOCK_CALL_LONG INTEGER,
	OI_OPTION_STOCK_PUT_LONG INTEGER,
	OI_OPTION_STOCK_CALL_SHORT INTEGER,
	OI_OPTION_STOCK_PUT_SHORT INTEGER,
	OI_TOTAL_LONG_CONTRACTS INTEGER,
	OI_TOTAL_SHORT_CONTRACTS INTEGER,
	VOL_FUTURE_INDEX_LONG INTEGER,
	VOL_FUTURE_INDEX_SHORT INTEGER,
	VOL_FUTURE_STOCK_LONG INTEGER,
	VOL_FUTURE_STOCK_SHORT INTEGER,
	VOL_OPTION_INDEX_CALL_LONG INTEGER,
	VOL_OPTION_INDEX_PUT_LONG INTEGER,
	VOL_OPTION_INDEX_CALL_SHORT INTEGER,
	VOL_OPTION_INDEX_PUT_SHORT INTEGER,
	VOL_OPTION_STOCK_CALL_LONG INTEGER,
	VOL_OPTION_STOCK_PUT_LONG INTEGER,
	VOL_OPTION_STOCK_CALL_SHORT INTEGER,
	VOL_OPTION_STOCK_PUT_SHORT INTEGER,
	VOL_TOTAL_LONG_CONTRACTS INTEGER,
	VOL_TOTAL_SHORT_CONTRACTS INTEGER,
	TRADE_DATE TEXT NOT NULL,
	PRIMARY KEY (TRADE_DATE)
);

CREATE TABLE IF NOT EXISTS CLIENT
(
	OI_FUTURE_INDEX_LONG INTEGER,
	OI_FUTURE_INDEX_SHORT INTEGER,
	OI_FUTURE_STOCK_LONG INTEGER,
	OI_FUTURE_STOCK_SHORT INTEGER,
	OI_OPTION_INDEX_CALL_LONG INTEGER,
	OI_OPTION_INDEX_PUT_LONG INTEGER,
	OI_OPTION_INDEX_CALL_SHORT INTEGER,
	OI_OPTION_INDEX_PUT_SHORT INTEGER,
	OI_OPTION_STOCK_CALL_LONG INTEGER,
	OI_OPTION_STOCK_PUT_LONG INTEGER,
	OI_OPTION_STOCK_CALL_SHORT INTEGER,
	OI_OPTION_STOCK_PUT_SHORT INTEGER,
	OI_TOTAL_LONG_CONTRACTS INTEGER,
	OI_TOTAL_SHORT_CONTRACTS INTEGER,
	VOL_FUTURE_INDEX_LONG INTEGER,
	VOL_FUTURE_INDEX_SHORT INTEGER,
	VOL_FUTURE_STOCK_LONG INTEGER,
	VOL_FUTURE_STOCK_SHORT INTEGER,
	VOL_OPTION_INDEX_CALL_LONG INTEGER,
	VOL_OPTION_INDEX_PUT_LONG INTEGER,
	VOL_OPTION_INDEX_CALL_SHORT INTEGER,
	VOL_OPTION_INDEX_PUT_SHORT INTEGER,
	VOL_OPTION_STOCK_CALL_LONG INTEGER,
	VOL_OPTION_STOCK_PUT_LONG INTEGER,
	VOL_OPTION_STOCK_CALL_SHORT INTEGER,
	VOL_OPTION_STOCK_PUT_SHORT INTEGER,
	VOL_TOTAL_LONG_CONTRACTS INTEGER,
	VOL_TOTAL_SHORT_CONTRACTS INTEGER,
	TRADE_DATE TEXT NOT NULL,
	PRIMARY KEY (TRADE_DATE)
);

CREATE TABLE IF NOT EXISTS PRO
(
	OI_FUTURE_INDEX_LONG INTEGER,
	OI_FUTURE_INDEX_SHORT INTEGER,
	OI_FUTURE_STOCK_LONG INTEGER,
	OI_FUTURE_STOCK_SHORT INTEGER,
	OI_OPTION_INDEX_CALL_LONG INTEGER,
	OI_OPTION_INDEX_PUT_LONG INTEGER,
	OI_OPTION_INDEX_CALL_SHORT INTEGER,
	OI_OPTION_INDEX_PUT_SHORT INTEGER,
	OI_OPTION_STOCK_CALL_LONG INTEGER,
	OI_OPTION_STOCK_PUT_LONG INTEGER,
	OI_OPTION_STOCK_CALL_SHORT INTEGER,
	OI_OPTION_STOCK_PUT_SHORT INTEGER,
	OI_TOTAL_LONG_CONTRACTS INTEGER,
	OI_TOTAL_SHORT_CONTRACTS INTEGER,
	VOL_FUTURE_INDEX_LONG INTEGER,
	VOL_FUTURE_INDEX_SHORT INTEGER,
	VOL_FUTURE_STOCK_LONG INTEGER,
	VOL_FUTURE_STOCK_SHORT INTEGER,
	VOL_OPTION_INDEX_CALL_LONG INTEGER,
	VOL_OPTION_INDEX_PUT_LONG INTEGER,
	VOL_OPTION_INDEX_CALL_SHORT INTEGER,
	VOL_OPTION_INDEX_PUT_SHORT INTEGER,
	VOL_OPTION_STOCK_CALL_LONG INTEGER,
	VOL_OPTION_STOCK_PUT_LONG INTEGER,
	VOL_OPTION_STOCK_CALL_SHORT INTEGER,
	VOL_OPTION_STOCK_PUT_SHORT INTEGER,
	VOL_TOTAL_LONG_CONTRACTS INTEGER,
	VOL_TOTAL_SHORT_CONTRACTS INTEGER,
	TRADE_DATE TEXT NOT NULL,
	PRIMARY KEY (TRADE_DATE)
);